﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="TerraI">
    <annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>
    <name>
        <en>Expom terra I</en>
        <de>Expom terra I</de>
		<pl>Expom terra I</pl>
    </name>
    <filename>expom_brandMP.dds</filename>
	<typeDesc>
		<en>Roller</en>
		<de>Roller</de>
		<pl>Wał</pl>
	</typeDesc>
	
	<size width="10" length="10"/>
	
	<workAreas>
        <workArea startIndex="1>0|6|0" widthIndex="1>0|6|1" heightIndex="1>0|6|2" refNodeIndex="0" type="cultivator" />
    </workAreas>
	
	<groundReferenceNodes> 
        <groundReferenceNode index="0>" threshold="0.2" depthNode="1>0|7" />
    </groundReferenceNodes>

    <powerConsumer neededPtoPower="0" forceNode="0>" maxForce="10" />
	
	  <groundParticleAnimations>
		<groundParticle file="particleAnimations/Expom_terraI.i3d" >
            <node index="1>0|9" particleIndex="1" refNodeIndex="0" />
			<node index="1>0|3|1" particleIndex="2" refNodeIndex="0" />
        </groundParticle>
    </groundParticleAnimations>

	<inputAttacherJoints>
		<inputAttacherJoint index="0>0|8" jointType="implement" topReferenceNode="0>0|9" upperRotationOffset="0" rotLimitScale="0.05 0.05 0.05" lowerDistanceToGround="0.3"/>
	</inputAttacherJoints>
	
	<mouseControls>
        <mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/arm1_rotY.png" axis="AXIS_FRONTLOADER_TOOL" />
		<mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/arm1_rotX.png" axis="AXIS_FRONTLOADER_ARM" />
    </mouseControls>
	
	<movingTools>
		
		<movingTool index="0>0|6|3|0" componentJointIndex="0" anchorActor="0" transSpeed="0.7" transAcceleration="80" transMax="0" transMin="-0.6" translationAxis="1" axis="AXIS_FRONTLOADER_ARM" invertAxis="true" invertMouseAxis="true" speedFactor="0.3" >
		</movingTool>
		
		<movingTool index="0>0|6" componentJointIndex="0" rotSpeed="20" rotAcceleration="170" rotMax="0" rotMin="-180" startRot="0" rotationAxis="3" axis="AXIS_FRONTLOADER_TOOL" invertAxis="true"  mouseAxis="AXIS_FRONTLOADER_TOOL" invertMouseAxis="true" speedFactor="1" >
			<dependentPart index="0>0|4" />
		</movingTool>
		
		<movingTool index="0>0|6|3|0|5|0" componentJointIndex="0" rotSpeed="20" rotAcceleration="170" rotMax="90" rotMin="-90" startRot="90" rotationAxis="3" axis="AXIS_FRONTLOADER_TOOL" invertAxis="true"  mouseAxis="AXIS_FRONTLOADER_TOOL" invertMouseAxis="true" speedFactor="1" >
		</movingTool>
		
	 </movingTools>
	   
	<movingParts>
        <movingPart index="0>0|4" referencePoint="0>0|6|4" referenceFrame="0>0|4" >
            <translatingPart index="0>0|4|0" />
        </movingPart>   
		
		<movingPart index="1>0|0" referencePoint="1>0|3|0" referenceFrame="1>0|3" scaleZ="true"/>	
    </movingParts>
	
	<speedRotatingParts>
        <speedRotatingPart index="1>0|2" radius="0.3" refNodeIndex="0" />
    </speedRotatingParts>
	
	 <animations>
	    <animation name="moveSupport">
            <part node="0>0|7" startTime="0" endTime="0.7" startTrans="0 0.1 0.138" endTrans="0 -0.4 0.138" />
			<part node="0>0|0" startTime="0" endTime="0.05" visibility="false" />
			<part node="0>0|1" startTime="0" endTime="0.05" visibility="true" /> 
			<part node="0>0|0" startTime="0.05" endTime="0.17" visibility="true" /> 
			<part node="0>0|1" startTime="0.05" endTime="0.17" visibility="false" /> 
        </animation>
		<animation name="blokada">
			 <part startTime="0" endTime="1.5" componentJointIndex="0" startRotLimit="0 0 20" endRotLimit="0 0 4" />
			
        </animation>
		<animation name="stopka">
            <part node="0>0|6|3|0|3" startTime="0" endTime="0.6" startTrans="-1.115 -0.403 0.048" endTrans="-1.115 0.05 0.048" />
        </animation>
	</animations>
	
	<animate>
		<object index="0>0|6|5" distance="2" animationName="stopka" input="STOPKA" renderText="true" textP="STOPKA" textN="STOPKA" together="false" onApproach="true" />
		<object index="0>0|6|5" distance="2" animationName="blokada" input="BLOK" renderText="true" textP="BLOK_P" textN="BLOK_N" together="true" onApproach="false" />
	</animate>
	
	<isDefaultLowered value="false"/>
    <needsLowering value="true" />
    <allowsLowering value="true" />
    <support animationName="moveSupport" />
	<washable dirtDuration="60" washDuration="1" workMultiplier="10" />
	
	<components count="2">
        <component1 centerOfMass="0 0 0" solverIterationCount="10" />
		<component2 centerOfMass="0 -0.8 0" />
		<joint component1="0" component2="1" index="0>0|6|3|0|5|0" rotLimit="0 0 20" transLimit="0 0 0" rotLimitSpring="0 0 10" rotLimitDamping="0 0 80" />
    </components>

	<schemaOverlay file="$dataS2/menu/schemas/implementSchema.png" fileSelected="$dataS2/menu/schemas/implementSchemaSelected.png" width="0.5" height="0.5" attacherJointPosition="0 0"/>

</vehicle>